__gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc > - Tree node metadata dispatch.

SYNOPSIS

#include <node_metadata_selector.hpp>

  Public Types

typedef tree_metadata_helper< __node_u, null_update >::type type

Detailed Description

  template<typename Key, typename Data, typename Cmp_Fn, template< typename Node_CItr, typename Const_Iterator, typename Cmp_Fn_, typename _Alloc_ > class Node_Update, typename _Alloc>
struct __gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc >"Tree node metadata dispatch.

Author

Generated automatically by Doxygen for libstdc++ from the source code.